PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_dsyrk | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | trans,
|  | int | N,
|  | int | K,
|  | double | alpha,
|  | double * | A,
|  | int | LDA,
|  | double | beta,
|  | double * | C,
|  | int | LDC
| ) |  |

PLASMA_dsyrk - Performs one of the hermitian rank k operations

\[ C = \alpha [ op( A ) \times g( op( A )' )] + \beta C \]

,

where op( X ) is one of

op( X ) = X or op( X ) = g( X' )

where alpha and beta are real scalars, C is an n-by-n hermitian matrix and A is an n-by-k matrix in the first case and a k-by-n matrix in the second case.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of C is stored; = PlasmaLower: Lower triangle of C is stored.
  [in] | trans | Specifies whether the matrix A is transposed or ugate transposed: = PlasmaNoTrans: A is not transposed; = PlasmaTrans : A is transposed.
  [in] | N | N specifies the order of the matrix C. N must be at least zero.
  [in] | K | K specifies the number of columns of the matrix op( A ).
  [in] | alpha | alpha specifies the scalar alpha.
  [in] | A | A is a LDA-by-ka matrix, where ka is K when trans = PlasmaNoTrans, and is N otherwise.
  [in] | LDA | The leading dimension of the array A. LDA must be at least max( 1, N ) if trans == PlasmaNoTrans, otherwise LDA must be at least max( 1, K ).
  [in] | beta | beta specifies the scalar beta
  [in,out] | C | C is a LDC-by-N matrix. On exit, the array uplo part of the matrix is overwritten by the uplo part of the updated matrix.
  [in] | LDC | The leading dimension of the array C. LDC >= max( 1, N ).

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_dsyrk_Tile
  PLASMA_dsyrk_Tile_Async
  PLASMA_csyrk
  PLASMA_dsyrk
  PLASMA_ssyrk